package cn.sh.stc.sict.theme.hphy.service;

import cn.sh.stc.sict.cloud.common.core.dto.WDUserCardInfo;
import cn.sh.stc.sict.theme.hphy.model.HpPatientCard;
import cn.sh.stc.sict.theme.hphy.model.HphyPatientBase;
import cn.sh.stc.sict.theme.hphy.wd.OrderInfo;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * 黄浦-患者-卡号(HpPatientCard)表服务接口
 *
 * @author F_xh
 * @since 2022-07-14 11:00:02
 */
public interface HpPatientCardService extends IService<HpPatientCard> {

    void save(HphyPatientBase base, List<WDUserCardInfo> cardList);

    List<HpPatientCard> listByUserId(Long userId);

    void updateByApp(HphyPatientBase patient, OrderInfo order);
}